no magic catia logo

MagicDraw does not start after upgrading to OS X Yosemite. How can I fix this issue?

The problem is that MagicDraw earlier than 17.0.2 SP3 or 17.0.3 SP1 cannot be started on OS X Yosemite.
To start MagicDraw on OS X Yosemite, you must upgrade the modeling tool at least to 17.0.2 SP3 or 17.0.3 SP1.

If MagicDraw still does not start, you must upgrade Java on your computer. For recommended Java versions and links to downloads, please visit http://www.nomagic.com/support/jvm-list.html.

For more information or a quote
please contact
sales@nomagic.com
or call +1-214-291-9100.